Function
score
Returns the score for aligning the entries entryH and entryV.
score(score, value1, value2) [deprecated]
score(score, entryH, entryV)
Include Headers
seqan/score.h
Parameters

score | A scoring scheme. The scoring scheme to use. Types: Score, Score
value1 | Aligned character in the first sequence.
value2 | Aligned character in the second sequence.
entryH | Entry in sequence one. Types: SequenceEntryForScore
entryV | Entry in sequence two. Types: SequenceEntryForScore

Status
The version that explicitely requires two characters is deprecated. For using (or defining) custom scoring schemes better use the functions score, scoreGapOpenVertical, scoreGapExtendVertical, scoreGapOpenHorizontal and scoreGapExtendHorizontal as they require character positions and sequences and allow for position-dependent scoring schemes.
Member of
Score
See Also
sequenceEntryForScore, ConsensusScoreSequenceEntry
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58